svg#svg(height="80vh" width="100%" xmlns="http://www.w3.org/2000/svg")
  style.
    text {
      fill: black;
      font-family: sans-serif;
      font-size: 2em;
    }
    rect {
      stroke: black;
      fill: red;
    }
  state
    transition(duration="1")
    property(name="range" min="0" max="100" type="number" initial="0")
      relation(query-selector='#linear' attribute-name='width' from='10%' to='90%')
        transition(timing-function='linear')
      relation(query-selector='#ease' attribute-name='width' from='10%' to='90%')
        transition(timing-function='ease')
      relation(query-selector='#ease-in' attribute-name='width' from='10%' to='90%')
        transition(timing-function='ease-in')
      relation(query-selector='#ease-out' attribute-name='width' from='10%' to='90%')
        transition(timing-function='ease-out')
      relation(query-selector='#ease-in-out' attribute-name='width' from='10%' to='90%')
        transition(timing-function='ease-in-out')
      relation(query-selector='#custom' attribute-name='width' from='10%' to='90%')
        // Using a simple transition to ease the test
        transition(timing-function='cubic-bezier(0, 0, 0.58, 1)')
  svg(y="5%")
    rect(id="linear" height="10%")
    text(y='8%' x='1%') linear
  svg(y="20%")
    rect(id="ease" height="10%")
    text(y='8%' x='1%') ease
  svg(y='35%')
    rect(id="ease-in" height="10%")
    text(y='8%' x='1%') ease-in
  svg(y='50%')
    rect(id="ease-out" height="10%")
    text(y='8%' x='1%') ease-out
  svg(y='65%')
    rect(id="ease-in-out" height="10%")
    text(y='8%' x='1%') ease-in-out
  svg(y='80%')
    rect(id="custom" height="10%")
    text(y='8%' x='1%') custom
